compat-readline5-5.2-32.fc29.i686.rpm


Advertisement

Description

compat-readline5 - A library for editing typed command lines

Property Value
Distribution Fedora Rawhide
Repository Fedora x86_64
Package name compat-readline5
Package version 5.2
Package release 32.fc29
Package architecture i686
Package type rpm
Installed size 368.71 KB
Download size 140.81 KB
Official Mirror dl.fedoraproject.org
The Readline library provides a set of functions that allow users to
edit command lines. Both Emacs and vi editing modes are available. The
Readline library includes additional functions for maintaining a list
of previously-entered command lines for recalling or editing those
lines, and for performing csh-like history expansion on previous
commands.

Alternatives

Package Version Architecture Repository
compat-readline5-5.2-32.fc29.x86_64.rpm 5.2 x86_64 Fedora
compat-readline5 - - -

Requires

Name Value
libc.so.6(GLIBC_2.28) -
libtinfo.so.6 -
rtld(GNU_HASH) -

Provides

Name Value
compat-readline5 = 5.2-32.fc29
compat-readline5(x86-32) = 5.2-32.fc29
libhistory.so.5 -
libreadline.so.5 -

Download

Type URL
Binary Package compat-readline5-5.2-32.fc29.i686.rpm
Source Package compat-readline5-5.2-32.fc29.src.rpm

Install Howto

Install the compat-readline5 rpm package:

# dnf install compat-readline5

Files

Path
/lib/libreadline.so.5
/lib/libreadline.so.5.2
/usr/lib/libhistory.so.5
/usr/lib/libhistory.so.5.2
/usr/lib/.build-id/
/usr/lib/.build-id/3a/b750e2ada7bad467b35d0ac9dcb8c7f3664134
/usr/lib/.build-id/8e/30d08b5455507dd631f0eebc65da572eb38ce5
/usr/share/doc/compat-readline5/CHANGES
/usr/share/doc/compat-readline5/COPYING
/usr/share/doc/compat-readline5/NEWS
/usr/share/doc/compat-readline5/README
/usr/share/doc/compat-readline5/USAGE

Changelog

2018-07-12 - Fedora Release Engineering <releng@fedoraproject.org> - 5.2-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
2018-05-22 - Miroslav Lichvar <mlichvar@redhat.com> 5.2-31
- Use macro for ldconfig scriptlets
- Add gcc to build requirements
- Remove obsolete macros
- Fix bogus date in changelog
2018-02-07 - Fedora Release Engineering <releng@fedoraproject.org> - 5.2-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
2017-08-02 - Fedora Release Engineering <releng@fedoraproject.org> - 5.2-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
2017-07-26 - Fedora Release Engineering <releng@fedoraproject.org> - 5.2-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
2017-02-10 - Fedora Release Engineering <releng@fedoraproject.org> - 5.2-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

See Also

Package Description
compat-readline5-devel-5.2-32.fc29.i686.rpm Files needed to develop programs which use the readline library
compat-readline5-devel-5.2-32.fc29.x86_64.rpm Files needed to develop programs which use the readline library
compat-readline5-static-5.2-32.fc29.i686.rpm Static libraries for the readline library
compat-readline5-static-5.2-32.fc29.x86_64.rpm Static libraries for the readline library
compat-readline6-6.3-15.fc29.i686.rpm A library for editing typed command lines
compat-readline6-6.3-15.fc29.x86_64.rpm A library for editing typed command lines
compat-readline6-devel-6.3-15.fc29.i686.rpm Files needed to develop programs which use the readline library
compat-readline6-devel-6.3-15.fc29.x86_64.rpm Files needed to develop programs which use the readline library
compat-readline6-static-6.3-15.fc29.i686.rpm Static libraries for the readline library
compat-readline6-static-6.3-15.fc29.x86_64.rpm Static libraries for the readline library
compat-rust-serde_derive+default-devel-1.0.58-2.fc30.noarch.rpm Macros 1.1 implementation of #[derive(Serialize, Deserialize)]
compat-rust-serde_derive+deserialize_in_place-devel-1.0.58-2.fc30.noarch.rpm Macros 1.1 implementation of #[derive(Serialize, Deserialize)]
compat-rust-serde_derive-devel-1.0.58-2.fc30.noarch.rpm Macros 1.1 implementation of #[derive(Serialize, Deserialize)]
compat-tolua++-1.0.93-9.fc29.i686.rpm lua-5.1 compatible version of tolua++ (C++ Lua integration)
compat-tolua++-1.0.93-9.fc29.x86_64.rpm lua-5.1 compatible version of tolua++ (C++ Lua integration)
Advertisement
Advertisement